<?php

/**
 *
 * @author Peter Csubak (chuby)
 * @copyright Peter Csubak (chuby)
 */
class AjaxOnFormSend extends Event implements ImportableEvent{
	
	private $sendedFrom;
	public $bindedTo;
	/** @XmlArray(schemaName="ajax", type="assoc", elementName="e", keyName="k", valueName="v") */
	public $formData;
	
	/** @XmlSchema */
	public $ajax = "<event><bindedto>bindedTo</bindedto><formdata>formData</formdata></event>";
	
	public function setSendedFrom($id){
		$this->sendedFrom = $id;
	}
	
	public function getSendedFrom(){
		return $this->sendedFrom;
	}

}
?>